%define rel 1
%define subrel 1

Name:       kdf
Summary:    View free disk space
Version: 4.8.5
Release:    %mkrel %{rel}
Group:      File tools
License:    GPLv2 and LGPLv2 and GPLD
URL:        http://utils.kde.org/projects/kdf
Source0:    ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%name-%{version}.tar.xz

BuildRequires: kdelibs4-devel >= 2:%version

Requires: kdebase4-runtime

Conflicts: kdeutils4-core < 4.5.72

Suggests: kdf-handbook

%description
KDiskFree displays the available file devices (hard drive partitions,
floppy and CD/DVD drives, etc.) along with information on their capacity,
free space, type and mount point. It also allows you to mount and unmount
drives and view them in a file manager.

%files
%_kde_appsdir/kdf/
%_kde_bindir/kdf
%_kde_bindir/kwikdisk
%_kde_libdir/kde4/kcm_kdf.so
%_kde_iconsdir/*/*/apps/kcmdf.*
%_kde_iconsdir/*/*/apps/kdf.*
%_kde_iconsdir/*/*/apps/kwikdisk.*
%_kde_applicationsdir/kdf.desktop
%_kde_applicationsdir/kwikdisk.desktop
%_kde_services/kcmdf.desktop

#------------------------------------------------------------------------------

%package -n kdf-handbook
Summary: kdf Handbook
Conflicts: kdf < 4.7.1
Requires:  kdf >= %{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n kdf-handbook
This package provides kdf Handbook.

%files -n kdf-handbook
%doc COPYING
%docdir %_kde_docdir/HTML/
%_kde_docdir/HTML/en/kdf/
%_kde_docdir/HTML/en/kcontrol/blockdevices/

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4  -DKDE4_ENABLE_FINAL=ON 
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog

* Mon Aug 06 2012 mikala <mikala> 4.8.5-1.1.mga2
+ Revision: 279146
- Update tarball to KDE SC 4.8.5
- Update tarball to 4.8.4
- Add missing requires on handbook subpackage

  + fwang <fwang>
    - new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221477
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 198371
- Updating tarball to KDE 4.8.0
- Drop patch0 (merged upstream)

* Thu Jan 05 2012 mikala <mikala> 4.7.97-1.mga2
+ Revision: 191528
- Add patch0 from upstream to add missing add_definition() calls
- Update tarball to kde 4.7.97

* Fri Dec 23 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186319
- Update tarball to kde 4.7.95
- fix group

* Wed Dec 14 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 181469
- imported package kdf

